// AIWriter.h: interface for the CAIWriter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AIWRITER_H__22BD5325_FC01_45F1_80AD_0FD3F8B20946__INCLUDED_)
#define      AFX_AIWRITER_H__22BD5325_FC01_45F1_80AD_0FD3F8B20946__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//////////////////////////////////////////////////////////////////////
// Simple AI-file (Adobe Illustrator) writer

class CAIWriter
{

protected:

    CFile       m_file;

    void        WriteString( LPCTSTR str );
    void        WriteString( const CString& );
    void        WriteString( UINT );

    void        WriteHead();

    void        WriteBoxes( float x1, float y1, float x2, float y2 );
    void        WritePoinf( float x, float y, BYTE bMode );

};

#endif // !defined(AFX_AIWRITER_H__22BD5325_FC01_45F1_80AD_0FD3F8B20946__INCLUDED_)
