// BitmapWindow.h: interface for the CBitmapWindow class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BITMAPWINDOW_H__B28C054D_C03F_491B_BDC8_E4D94FB8E37A__INCLUDED_)
#define      AFX_BITMAPWINDOW_H__B28C054D_C03F_491B_BDC8_E4D94FB8E37A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//////////////////////////////////////////////////////////////////////
// Simple Memory-Bitmap Worker
// (also saves as bmp)

class CBitmapWindow
{

private:
    // GDI
    CBitmap     m_cb;           // MemBitmap
    CBitmap*    m_pcbOld;       // Old Bitmap

    void        ReInit( CDC* ); // (Re)Initialize GDI
    void        Release();


protected:

    CDC         m_dcb;          // MemBitmap DC

    int         m_nWindowW;     // Current Window Size
    int         m_nWindowH;

    BYTE        m_bReInit;      // (Re)Initialization Mode ( 1 - Screen-Size Bitmap, 2 - Window-Size Bitmap )


    virtual void    BeginPaint( CDC* );
    virtual void    EndPaint  ( CDC* );


    //
    BOOL        SaveAsBmp( LPCTSTR szFileName );


public:
	CBitmapWindow();
	virtual ~CBitmapWindow();

};


//////////////////////////////////////////////////////////////////////
#endif // !defined(AFX_BITMAPWINDOW_H__B28C054D_C03F_491B_BDC8_E4D94FB8E37A__INCLUDED_)
