// CoordinateDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Vectal4.h"
#include "CoordinateDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCoordinateDlg dialog


CCoordinateDlg::CCoordinateDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCoordinateDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCoordinateDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CCoordinateDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCoordinateDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCoordinateDlg, CDialog)
	//{{AFX_MSG_MAP(CCoordinateDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCoordinateDlg message handlers

BOOL CCoordinateDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

    CWnd* peX = GetDlgItem( IDC_EDIT_X );
    CWnd* peY = GetDlgItem( IDC_EDIT_Y );


    CPoinf* p = m_pPattern->GetPoinfs() + m_nPoinf;

    CString str;
    str.Format( "%f", p->x );  peX->SetWindowText( str ); 
    str.Format( "%f", p->y );  peY->SetWindowText( str ); 


    peX->SetFocus();
    
	
	return FALSE;  // return TRUE unless you set the focus to a control
	               // EXCEPTION: OCX Property Pages should return FALSE
}



BOOL CCoordinateDlg::OnCommand( WPARAM wParam, LPARAM lParam ) 
{
    if( IDOK == LOWORD(wParam) )
    {
        CWnd* peX = GetDlgItem( IDC_EDIT_X );
        CWnd* peY = GetDlgItem( IDC_EDIT_Y );

        CPoinf pf;
    
        CString str;
        peX->GetWindowText( str ); sscanf( (LPCTSTR)str, "%f", &pf.x );
        peY->GetWindowText( str ); sscanf( (LPCTSTR)str, "%f", &pf.y );

        m_pPattern->MovePoint( m_nPoinf, pf );
    }


	return CDialog::OnCommand(wParam, lParam);
}
