#if !defined(AFX_FILEEXPORTDLG_H__7B119605_3F4E_4E26_9452_E1469514433F__INCLUDED_)
#define      AFX_FILEEXPORTDLG_H__7B119605_3F4E_4E26_9452_E1469514433F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FileExportDlg.h : header file
//

#define IDB_MYBUT 3456



struct ExportSettings
{   
    // [In]
    int nKneesN;    // for Lines count calculation

    // [Out]
    int nWidth;
    int nHeigth;

    int nIterations;
};


/////////////////////////////////////////////////////////////////////////////
// CFileExportDlg dialog

class CFileExportDlg : public CFileDialog
{
	DECLARE_DYNAMIC(CFileExportDlg)


    CDialog         m_dlgSettings;
    ExportSettings* m_pExportSettings;
    double          m_dRatio;

    BOOL SettingsProc( UINT, WPARAM,LPARAM );



    int pow( int a, int b )  {  return  b ? a*pow(a,b-1) : 1; }

public:
	CFileExportDlg( BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		            LPCTSTR lpszDefExt = NULL,
		            LPCTSTR lpszFileName = NULL,
		            DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		            LPCTSTR lpszFilter = NULL,
		            CWnd* pParentWnd = NULL );

    void    SetExportSettings( ExportSettings* p )  {  m_pExportSettings = p; }

protected:
	//{{AFX_MSG(CFileExportDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


    virtual void OnTypeChange();
};



//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEEXPORTDLG_H__7B119605_3F4E_4E26_9452_E1469514433F__INCLUDED_)
